"use strict";
this.name        = "BountySystem_Licence";
this.author      = "phkb";
this.copyright   = "2017 phkb";
this.description = "Condition script for determing when the BH Licence is available";
this.licence     = "CC BY-NC-SA 4.0";

//-------------------------------------------------------------------------------------------------------------
this.allowAwardEquipment = function(equipment, ship, context) {
	if (context === "scripted") return true;
    if (context === "npc") return false;
    // not in dangerous systems
    if (system.government <= 3) return false;
    // not at non-galcop stations
    if (player.ship.dockedStation && player.ship.dockedStation.allegiance !== "galcop") return false;
    // hide if the OXP has been disabled
    var b = worldScripts.BountySystem_MostWanted;
    if (b._disabled === true) return false;
    if (equipment === "EQ_HUNTER_LICENCE_RENEWAL") {
        var days = Math.floor((clock.adjustedSeconds - b._licencePurchaseDate) / 86400);
        if (days > 40) return false; // too long since original purchase
        if (days < 25) return false; // too soon before renewal
    }
    if (equipment === "EQ_HUNTER_LICENCE") {
        var days = Math.floor((clock.adjustedSeconds - b._licencePurchaseDate) / 86400);
        if (days <= 40 && days > 0) return false;
    }
    return true;
}
